# functexcept.h File Reference

## Detailed Description

This header provides support for -fno-exceptions.

Definition in file functexcept.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _FUNCTEXCEPT_H

## Functions

- void std::__throw_bad_alloc (void) __attribute__((__noreturn__))
- void std::__throw_bad_cast (void) __attribute__((__noreturn__))
- void std::__throw_bad_exception (void) __attribute__((__noreturn__))
- void std::__throw_bad_typeid (void) __attribute__((__noreturn__))
- void std::__throw_domain_error (const char *) __attribute__((__noreturn__))
- void std::__throw_invalid_argument (const char *) __attribute__((__noreturn__))
- void std::__throw_ios_failure (const char *) __attribute__((__noreturn__))
- void std::__throw_length_error (const char *) __attribute__((__noreturn__))
- void std::__throw_logic_error (const char *) __attribute__((__noreturn__))
- void std::__throw_out_of_range (const char *) __attribute__((__noreturn__))
- void std::__throw_overflow_error (const char *) __attribute__((__noreturn__))
- void std::__throw_range_error (const char *) __attribute__((__noreturn__))
- void std::__throw_runtime_error (const char *) __attribute__((__noreturn__))
- void std::__throw_underflow_error (const char *) __attribute__((__noreturn__))